# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

import sys
from clcommon.lib.cledition import lve_supported_or_exit
from clcommon.utils import silence_stdout_until_process_exit
from lvestats.lib.chart.dbgovchartmain import DbGovChart
from lvestats.lib.config import ConfigError, read_config

__author__ = 'shaman'


@lve_supported_or_exit
def main():
    try:
        exitcode = DbGovChart(read_config()).main(args=sys.argv[1:])
    except ConfigError as ce:
        ce.log_and_exit()
    else:
        silence_stdout_until_process_exit()
        sys.exit(exitcode)


if __name__ == '__main__':
    main()
